Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
Group Struct Reference

Represent the group type in the RFC822. More...

`#include <group.h>`

Inheritance diagram for Group:

## Public Member Functions

| Group (const char *)
| Group (const std::string &)
void | name (const std::string &)
std::string | name (int bCanonical=0) const
void | set (const std::string &)
std::string | str () const

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Represent the group type in the RFC822.

Groups class is a container class that stores Rfc822::Mailbox objects. Use this class when you need to create or parse rfc822 email groups

Parsing:

Rfc822::Group grp("drivers: first@do.com, second@dom.com, last@dom.com;");
Rfc822::Group::const_iterator bit(grp.begin()), eit(grp.end());
cout << "Group " << grp.name() << endl;
for(; bit != eit; ++bit)
cout << " " << *bit << endl;

Building:

Rfc822::Group grp;
grp.push_back("first@dom.com");
grp.push_back(Rfc822::Mailbox("second@dom.com"));
grp.push_back(string("last@dom.com"));

See also
  RFC822

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- group.h